Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 225628 - Merge Review: bsh
Summary: Merge Review: bsh
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jochen Schmitt
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 17:47 UTC by Nobody's working on this, feel free to take it
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-06-21 18:12:26 UTC
jochen: fedora-review+


Attachments (Terms of Use)

Description Nobody's working on this, feel free to take it 2007-01-31 17:47:39 UTC
Fedora Merge Review: bsh

http://cvs.fedora.redhat.com/viewcvs/devel/bsh/
Initial Owner: pcheung@redhat.com

Comment 2 Jochen Schmitt 2007-03-29 16:17:52 UTC
Good:
+ Local build works fine.
* Binaries packages are ok.
+ License ok.
+ naming seems ok.

Bad:
- Rpmlint have warnings on source package:
W: bsh non-standard-group Development/Java
W: bsh strange-permission bsh-1.3.0-src.tar.bz2 0660
W: bsh strange-permission bsh.spec 0660
W: bsh strange-permission bsh-build.patch 0660
- Unnecceasry BR
uildRequires: perl should not be included
  (wiki: Packaging/Guidelines#Exceptions)
- Surce0 doesn't contains a full-qualified URL




Comment 3 Permaine Cheung 2007-03-29 16:34:27 UTC
(In reply to comment #2)
> Good:
> + Local build works fine.
> * Binaries packages are ok.
> + License ok.
> + naming seems ok.
> 
> Bad:
> - Rpmlint have warnings on source package:
> W: bsh non-standard-group Development/Java
The group is ok
> W: bsh strange-permission bsh-1.3.0-src.tar.bz2 0660
> W: bsh strange-permission bsh.spec 0660
> W: bsh strange-permission bsh-build.patch 0660
Fixed all the permission.
> - Unnecceasry BR
> uildRequires: perl should not be included
Got rid of it
>   (wiki: Packaging/Guidelines#Exceptions)
> - Surce0 doesn't contains a full-qualified URL
Source0 is created from cvs co, followed by creating the src tar ball, hence
there's no full-qualified URL for it.

Update spec file and srpm at the same location.
Thanks!
> 
> 
> 



Comment 4 Jochen Schmitt 2007-03-29 17:08:06 UTC
question:

What should this be?

export LANG='C'; rpm -i bsh-1.3.0-10jpp.1.fc7.src.rpm
error: open of <!DOCTYPE failed: No such file or directory
error: open of HTML failed: No such file or directory
error: open of PUBLIC failed: No such file or directory


Comment 5 Permaine Cheung 2007-03-29 17:45:28 UTC
hmm.. not quite sure what caused that, but I uploaded the srpm, could you please
try again?

Comment 6 Jochen Schmitt 2007-03-29 18:00:22 UTC
Good:
+ Local build works fine.

Bad:
+ Tar ball seems not to match with tar ball created from cvs reporistory
a63a33e2580aea1884a9f3b0b9f62972  bsh-1.3.0-src.tar.bz2
[s4504kr@zeus temp]$ md5sum /home/s4504kr/redhat/SOURCES/bsh-1.3.0-src.tar.bz2
3d8c14c2a223aa577108efa8bd17bdd3  /home/s4504kr/redhat/SOURCES/bsh-1.3.0-src.tar.bz2



Comment 7 Permaine Cheung 2007-03-29 19:33:38 UTC
Is the tar ball created by following the commands in the spec file?
If so, the md5sum will not match because of different ownership, in that case, a
diff -r on the extracted tar ball is needed to check if the tar ball are the same.

Comment 8 Permaine Cheung 2007-04-25 19:05:53 UTC
Any update on this?

Comment 9 Jochen Schmitt 2007-04-26 15:56:28 UTC
Good:
+ Naming is ok (perhaps may be BeanShell)
+ Tar ball matches with update when using diff -r
+ Mock build works fine.
+ Binary rpms are ok.

*** APPROVED ***


 

Comment 10 Permaine Cheung 2007-04-26 17:19:48 UTC
I'll keep the name as bsh as it has been shipped in previous Fedora release in
that name.
The package has been built, should hit rawhide soon.


Comment 11 Jochen Schmitt 2007-04-26 17:29:53 UTC
Thats ok, it was only a mind flash from me.

Comment 12 Jochen Schmitt 2007-05-22 14:43:14 UTC
Please close this bug after building the package.


Note You need to log in before you can comment on or make changes to this bug.